Lovense Integration: FLovenseIntegrationModule Class Reference

Lovense Integration

Public Member Functions | Static Public Member Functions | List of all members
FLovenseIntegrationModule Class Reference

Lovense Integration Module class. Use FLovenseIntegrationModule::Get() to easily get the module instance. More...

`#include <LovenseIntegration/Source/LovenseIntegration/Public/LovenseIntegration.h>`

Inheritance diagram for FLovenseIntegrationModule:

## Public Member Functions

virtual void | StartupModule () override
virtual void | ShutdownModule () override
LOVENSEINTEGRATION_API void | Initialize ()

Will generate the lovense config file and automatically start the integration if "StartWithLovenseActive" config is true.
Usually gets called automatically in StartupModule(), but you can set the cvar "li.Initialization.Automatic" to false if you want to manually initialize.
It's safe to call this even if the integration is already running.

void | StartHeartbeat ()
| Registers the heartbeat ticker used to tick the timer manager which manages our various timers.
void | StopHeartbeat ()
| Unregisters the heartbeat ticker used to tick the timer manager which manages our various timers.
FORCEINLINE class FTimerManager * | GetTimerManager ()
| Get the instance of the timer manager. Only valid while the integration is running.
FORCEINLINE class FLovenseManager * | GetLovenseManager ()
| Get the instance of the lovense manager. Usually you would use FLovenseManager:Get() for this, which calls this function via FLovenseIntegrationModule::Get() to ensure the module is loaded.

## Static Public Member Functions

static FORCEINLINE FLovenseIntegrationModule & | Get ()
| Get the instance of the module. Always valid.

## Detailed Description

Lovense Integration Module class. Use FLovenseIntegrationModule::Get() to easily get the module instance.

The documentation for this class was generated from the following files:

- LovenseIntegration/Source/LovenseIntegration/Public/LovenseIntegration.h
- LovenseIntegration/Source/LovenseIntegration/Private/LovenseIntegration.cpp